Saturday, March 30, 2013

could not run Android's adb on Linux 64bit

I tried to install Android ADT and SDK on 64bit Linux (CrunchBang linux).  Once it's all downloaded and installed, Eclipse said it could not run adb.

To get it going, I found on stackoverflow that you will need to install ia32-libs package.

# apt-get install ia32-libs

However, when I tried, it failed.  apt-get reported that ia32-libs depends on ia32-libs-i386, but ia32-libs-i386 can not be installed.

To make ia32-libs to install, i386 arch has to be added first.

# dpkg --add-architecture i386
# apt-get update

After that, installing ia32-libs should go though.

No comments:

Post a Comment